IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_241_query]') AND type = 'P')
DROP PROCEDURE [dbo].[order_241_query]
GO
CREATE  procedure order_241_query(
@cmpid int,@branchid int,@userdpid int,@userotid int ,@useruid int ,@bizid int ,@finished int ,@status nvarchar(50),@pagesize int , @pagecount int , @pageobjids varchar(8000),@ord_creator_min nvarchar(50), @ord_creator_max nvarchar(50),@ord_szpq_min nvarchar(100), @ord_szpq_max nvarchar(100),@ord_depart_min nvarchar(50), @ord_depart_max nvarchar(50),@ord_createdepart_min nvarchar(50), @ord_createdepart_max nvarchar(50)) as begin  
set nocount on  

declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1') 
declare @s1 varchar(8000) 
declare @s2 varchar(100) 
declare @i int 
declare @amount int 
select @amount = @pagecount*@pagesize 
declare @pobjs table(nid int identity(1, 1), ordid bigint) 
set @s1 = @pageobjids 
while (@s1>'') 
begin 
set @i = charindex(',', @s1) 
if (@i>0) 
begin 
set @s2 = substring(@s1,1,@i-1) 
set @s1 = substring(@s1,@i+1,len(@s1)-@i) 
end else  
begin 
set @s2 = @s1 
set @s1 = '' 
end 
insert into @pobjs(ordid) values(convert(bigint,@s2)) 
end 
if (exists (select top 1 * from @pobjs)) 
begin 
select a.* from order_241 a, @pobjs
where ord_id=ordid
order by nid 
select a.* from order_241_users a , @pobjs 
where ordp_ordid=ordid and ordp_cuid=@useruid
return 
end 
if (@status is null or @status = '_none_') set @status = '' 


if (@ord_creator_min is null or @ord_creator_min = '_none_') set @ord_creator_min = '' 
if (@ord_creator_max is null or @ord_creator_max = '_none_') set @ord_creator_max = '' 

if (@ord_szpq_min is null or @ord_szpq_min = '_none_') set @ord_szpq_min = '' 
if (@ord_szpq_max is null or @ord_szpq_max = '_none_') set @ord_szpq_max = '' 

if (@ord_depart_min is null or @ord_depart_min = '_none_') set @ord_depart_min = '' 
if (@ord_depart_max is null or @ord_depart_max = '_none_') set @ord_depart_max = '' 

if (@ord_createdepart_min is null or @ord_createdepart_min = '_none_') set @ord_createdepart_min = '' 
if (@ord_createdepart_max is null or @ord_createdepart_max = '_none_') set @ord_createdepart_max = '' 

if @ord_creator_min>'' 
begin 
if (charindex('%',@ord_creator_min) = 0 and @ord_creator_min!='_empty_') 
 begin
set @ord_creator_min = '%'+@ord_creator_min+'%';
 end else if (@ord_creator_min='_empty_') set @ord_creator_min='' 
end else
begin 
set @ord_creator_min = '%' 
end
if @ord_creator_max>'' 
begin 
if (charindex('%', @ord_creator_max) = 0 and @ord_creator_max!='_empty_') 
begin
set@ord_creator_max = '%'+@ord_creator_max+'%';
 end else if (@ord_creator_max='_empty_') set @ord_creator_max='' 
end else
begin 
set @ord_creator_max = '%' 
end

if @ord_szpq_min>'' 
begin 
if (charindex('%',@ord_szpq_min) = 0 and @ord_szpq_min!='_empty_') 
 begin
set @ord_szpq_min = '%'+@ord_szpq_min+'%';
 end else if (@ord_szpq_min='_empty_') set @ord_szpq_min='' 
end else
begin 
set @ord_szpq_min = '%' 
end
if @ord_szpq_max>'' 
begin 
if (charindex('%', @ord_szpq_max) = 0 and @ord_szpq_max!='_empty_') 
begin
set@ord_szpq_max = '%'+@ord_szpq_max+'%';
 end else if (@ord_szpq_max='_empty_') set @ord_szpq_max='' 
end else
begin 
set @ord_szpq_max = '%' 
end

if @ord_depart_min>'' 
begin 
if (charindex('%',@ord_depart_min) = 0 and @ord_depart_min!='_empty_') 
 begin
set @ord_depart_min = '%'+@ord_depart_min+'%';
 end else if (@ord_depart_min='_empty_') set @ord_depart_min='' 
end else
begin 
set @ord_depart_min = '%' 
end
if @ord_depart_max>'' 
begin 
if (charindex('%', @ord_depart_max) = 0 and @ord_depart_max!='_empty_') 
begin
set@ord_depart_max = '%'+@ord_depart_max+'%';
 end else if (@ord_depart_max='_empty_') set @ord_depart_max='' 
end else
begin 
set @ord_depart_max = '%' 
end

if @ord_createdepart_min>'' 
begin 
if (charindex('%',@ord_createdepart_min) = 0 and @ord_createdepart_min!='_empty_') 
 begin
set @ord_createdepart_min = '%'+@ord_createdepart_min+'%';
 end else if (@ord_createdepart_min='_empty_') set @ord_createdepart_min='' 
end else
begin 
set @ord_createdepart_min = '%' 
end
if @ord_createdepart_max>'' 
begin 
if (charindex('%', @ord_createdepart_max) = 0 and @ord_createdepart_max!='_empty_') 
begin
set@ord_createdepart_max = '%'+@ord_createdepart_max+'%';
 end else if (@ord_createdepart_max='_empty_') set @ord_createdepart_max='' 
end else
begin 
set @ord_createdepart_max = '%' 
end
 
    
if (@finished = -11)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_241 a,order_241_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished > 0 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished > 0
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_241 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished > 0
order by nid 
-- 返回权限 
select a.* from order_241_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -10)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_241 a,order_241_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_241 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
order by nid 
-- 返回权限 
select a.* from order_241_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 2)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_241 a,order_241_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished>=2 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished>=2 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_241 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished>=2 
order by nid 
-- 返回权限 
select a.* from order_241_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_241 a,order_241_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ordp_ordid=a.ord_id 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_finished<=1)
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_finished<=1)
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_241 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_finished<=1) 
order by nid 
-- 返回权限 
select a.* from order_241_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_241 a,order_241_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_finished=-1 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ord_finished=-1 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_241 a,order_241_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_szpq like @ord_szpq_min 
and ord_szpq like @ord_szpq_max 
and ord_depart like @ord_depart_min 
and ord_depart like @ord_depart_max 
and ord_createdepart like @ord_createdepart_min 
and ord_createdepart like @ord_createdepart_max 
order by ord_date desc,ord_creator,ord_szpq,ord_depart,ord_createdepart
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_241 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and ord_finished=-1 
order by nid 
-- 返回权限 
select a.* from order_241_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end 
set nocount off end